kaptk2 pushed to burp (el5). "Initial import (#1186819)."

notifications at fedoraproject.org notifications at fedoraproject.org
Wed May 13 19:02:28 UTC 2015


From 08fa9dd28c80645f06620ffce739951a21ece0a7 Mon Sep 17 00:00:00 2001
From: Andrew Niemantsverdriet <andrewniemants at gmail.com>
Date: Wed, 13 May 2015 12:01:38 -0600
Subject: Initial import (#1186819).


diff --git a/.gitignore b/.gitignore
index e69de29..2b3ac84 100644
--- a/.gitignore
+++ b/.gitignore
@@ -0,0 +1 @@
+/1.4.36.tar.gz
diff --git a/burp.init b/burp.init
new file mode 100644
index 0000000..9d2cf7a
--- /dev/null
+++ b/burp.init
@@ -0,0 +1,77 @@
+#! /bin/sh
+#
+# burp init file distributed with brup package
+# author: bassu at phi9.com
+#
+# burp 	       Start burp server
+#
+# chkconfig: 2345 08 92
+# description: Burp backup server
+#
+# processname: burp
+# config: /etc/burp/burp-server.conf
+# pidfile: /var/run/burp.server.pid
+
+. /etc/init.d/functions
+
+RETVAL=0
+prog=burp
+burp=${BURP-/usr/sbin/burp}
+pidfile=${PIDFILE-/var/run/burp.server.pid}
+lockfile=${LOCKFILE-/var/lock/subsys/burp}
+conffile=${CONFFILE-/etc/burp/burp-server.conf}
+
+start () {
+    	status -p ${pidfile} ${burp} &>/dev/null && { echo "$prog is already running"; exit 1; }
+	echo -n $"Starting $prog: "
+	daemon --pidfile=${pidfile} ${burp} -c ${conffile}
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && touch ${lockfile}
+}
+stop () {
+	echo -n $"Stopping $prog: "
+	killproc -p ${pidfile} ${prog}
+	RETVAL=$?
+	echo
+	if [ $RETVAL -eq 0 ] ; then
+		rm -f ${lockfile} ${pidfile}
+	fi
+}
+
+restart () {
+        stop
+        start
+}
+
+reload () {
+	echo -n $"Reloading $prog: "
+	killproc -p ${pidfile} ${prog} -HUP
+	RETVAL=$?
+	echo
+}
+
+case "$1" in
+  start)
+	start
+	;;
+  stop)
+	stop
+	;;
+  status)
+	status -p ${pidfile} ${burp}
+	RETVAL=$?
+	;;
+  restart)
+	restart
+	;;
+  reload)
+	reload
+	;;
+  *)
+	echo $"Usage: $0 {start|stop|status|restart|reload}"
+	RETVAL=2
+        ;;
+esac
+
+exit $RETVAL
diff --git a/burp.service b/burp.service
new file mode 100644
index 0000000..3d65eb8
--- /dev/null
+++ b/burp.service
@@ -0,0 +1,10 @@
+[Unit]
+Description=Burp backup server
+After=network.target
+
+[Service]
+Type=notify
+ExecStart=/usr/sbin/burp -c /etc/burp/burp-server.conf
+
+[Install]
+WantedBy=multi-user.target
diff --git a/burp.spec b/burp.spec
new file mode 100644
index 0000000..b12c79a
--- /dev/null
+++ b/burp.spec
@@ -0,0 +1,106 @@
+Name:		burp
+Summary:	A network-based backup and restore program
+Version:	1.4.36
+Release:	3%{?dist}
+License:	AGPLv3 and BSD and GPLv2+ and LGPLv2+
+URL:		http://burp.grke.org/
+Source0:	https://github.com/grke/burp/archive/%{version}.tar.gz
+Source1:	burp.init
+Source2:	burp.service
+BuildRequires:	librsync-devel
+BuildRequires:	zlib-devel
+BuildRequires:	openssl-devel
+BuildRequires:	ncurses-devel
+BuildRequires:	libacl-devel
+BuildRequires:	uthash-devel
+BuildRequires:	systemd-units
+Requires:	openssl-perl
+
+%description
+Burp is a network backup and restore program, using client and server.
+It uses librsync in order to save network traffic and to save on the 
+amount of space that is used by each backup. 
+It also uses VSS (Volume Shadow Copy Service) to make snapshots when 
+backing up Windows computers.
+
+%prep
+%setup -q -n %{name}-%{version}
+
+%build
+%configure --sysconfdir=%{_sysconfdir}/%{name}
+make %{?_smp_mflags}
+
+%install
+make install DESTDIR=%{buildroot}
+%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
+mkdir -p %{buildroot}%{_unitdir}
+install -p -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/
+%else
+mkdir -p %{buildroot}%{_initddir}
+install -p -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/
+%endif
+
+%files
+%doc README CHANGELOG DONATIONS TODO CONTRIBUTORS UPGRADING
+%license LICENSE
+%{_sbindir}/*
+%{_mandir}/man8/*
+%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
+%{_unitdir}/burp.service
+%else
+%{_initddir}/%{name}
+%endif
+%{_sysconfdir}/*
+
+%post
+%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
+%systemd_post burp.service
+%else
+/sbin/chkconfig --add %{name}
+%endif
+
+%preun
+%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
+%systemd_preun burp.service
+%else
+if [ $1 = 0 ]; then
+  /sbin/service %{name} stop > /dev/null 2>&1
+  /sbin/chkconfig --del %{name}
+fi
+%endif
+
+%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
+%postun
+%systemd_postun_with_restart burp.service
+%endif
+
+%changelog
+* Tue May 12 2015 Andrew Niemantsverdriet <andrewniemants at gmail.com> - 1.4.36-3
+- Updated licence field
+
+* Sat May 09 2015 Andrew Niemantsverdriet <andrewniemants at gmail.com> - 1.4.36-2
+- Added systemd-units as a build require
+
+* Sat May 09 2015 Andrew Niemantsverdriet <andrewniemants at gmail.com> - 1.4.36-1
+- Updated to latest stable version
+
+* Fri May 08 2015 Andrew Niemantsverdriet <andrewniemants at gmail.com> - 1.3.48-6
+- Changed the build require from uthash to uthash-devel
+
+* Tue Mar 17 2015 Andrew Niemantsverdriet <andrewniemants at gmail.com> - 1.3.48-5
+- Fixed scriptlets to correctly handle systemd
+
+* Tue Feb 17 2015 Andrew Niemantsverdriet <andrewniemants at gmail.com> - 1.3.48-4
+- Added scriptlets to handle systemd
+
+* Mon Feb 09 2015 Andrew Niemantsverdriet <andrewniemants at gmail.com> - 1.3.48-3
+- Split BuildRequires into one per line
+- Moved the LICENSE file to the license macro
+- Fixed spacing issue
+
+* Mon Feb 02 2015 Andrew Niemantsverdriet <andrewniemants at gmail.com> - 1.3.48-2
+- removed clean section of spec file
+- changed install and files to conform to packaging guideline
+
+* Tue Nov 25 2014 Andrew Niemantsverdriet <andrewniemants at gmail.com> - 1.3.48-1
+- Initial spec file
diff --git a/sources b/sources
index e69de29..22d542a 100644
--- a/sources
+++ b/sources
@@ -0,0 +1 @@
+32a41ec106629a5bb09fcf0d973d95f9  1.4.36.tar.gz
-- 
cgit v0.10.2


	http://pkgs.fedoraproject.org/cgit/burp.git/commit/?h=el5&id=08fa9dd28c80645f06620ffce739951a21ece0a7


More information about the scm-commits mailing list